package org.xyzh.common.dto.permission;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description    TbSysPermission.java文件描述 权限信息
 * @filename    TbSysPermission.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-16
 */
public class TbSysPermission extends BaseDTO{
    private static final long serialVersionUID = 1L;

    /**
     * @description    权限ID
     * @author    yslg
     * @since 2024-06
     */
    private String permissionID;

    /**
     * @description    权限名称
     * @author    yslg
     * @since 2024-06
     */
    private String name;

    /**
     * @description    权限描述
     * @author    yslg
     * @since 2024-06
     */
    private String description;

    /**
     * @description    权限编码
     * @author    yslg
     * @since 2024-06
     */
    private String code;

    /**
     * @description    创建人
     * @author    yslg
     * @since 2024-06
     */
    private String creator;

    /**
     * @description    更新人
     * @author    yslg
     * @since 2024-06
     */
    private String updater;

    /**
     * @description    所属模块ID
     * @author    yslg
     * @since 2025-10-16
     */
    private String moduleID;

    public String getPermissionID() {
        return permissionID;
    }

    public void setPermissionID(String permissionID) {
        this.permissionID = permissionID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public String getModuleID() {
        return moduleID;
    }

    public void setModuleID(String moduleID) {
        this.moduleID = moduleID;
    }

    @Override
    public String toString() {
        return "TbSysPermission{" +
                "id='" + getID() + '\'' +
                ", permissionID='" + permissionID + '\'' +
                ", name='" + name + '\'' +
                ", description='" + description + '\'' +
                ", code='" + code + '\'' +
                ", moduleID='" + moduleID + '\'' +
                ", creator='" + creator + '\'' +
                ", updater='" + updater + '\'' +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }
    
}
